<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language article
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit Language Article");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Knowledgebase - edit article");

if (!zero::IsArticleExist($knowledge_ref))
	zero::Redirect("knowledgebase_browse.php");
if ($lg==1)
	zero::Redirect("knowledgebase_article_edit.php?knowledge_ref={$knowledge_ref}");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("problem", $lang['a_empty_problem']);
	zero::IsEmpty("solution", $lang['a_empty_solution']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateArticleLanguage($knowledge_ref, $subject, $problem, $solution, $lg);
	$smarty_tpl->assign("success", 1);
}

$article 		= zero::GetArticle($knowledge_ref, $lg);
$article_en = zero::GetArticle($knowledge_ref);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Article [{$article['knowledge_ref']}] ( {$article['subject']} [{$article['language_str']}] )");
zero::DisplayStaff("knowledgebase_article_lang_edit.tpl");

function ShowData() {
	global $smarty_tpl, $knowledge_ref, $article, $article_en, $lg;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("article", $article);
	$article_en['problem'] = nl2br(htmlentities($article_en['problem']));
	$smarty_tpl->assign("article_en", $article_en);
	$smarty_tpl->assign("lg", $lg);
	$smarty_tpl->assign("knowledge_ref", $knowledge_ref);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $knowledge_ref, $subject, $problem, $solution, $lg;

	$article = zero::GetArticle($knowledge_ref, $lg);
	$article_en = zero::GetArticle($knowledge_ref);
	$article['subject'] = htmlentities($subject);
	$article['problem'] = htmlentities($problem);
	$article['solution'] = htmlentities($solution);
	$smarty_tpl->assign("article", $article);
	$article_en['problem'] = nl2br(htmlentities($article_en['problem']));
	$smarty_tpl->assign("article_en", $article_en);
	$smarty_tpl->assign("lg", $lg);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("knowledge_ref", $knowledge_ref);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit Article [{$article['knowledge_ref']}] ( {$article['subject']} [{$article['language_str']}] )");
	zero::DisplayStaff("knowledgebase_article_lang_edit.tpl");
	exit;
}

?>
