<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language priority
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Language Priority");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Ticket Priority - edit priority");

if (!zero::IsPriorityExist($priority_id))
	zero::Redirect("priority_browse.php");
if ($lg==1)
	zero::Redirect("priority_edit.php?priority_id={$priority_id}");

if ($pf == "update") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (zero::IsError())
	  EndScript();
	zero::UpdatePriority($priority_id, $name, $description, $lg);
	$smarty_tpl->assign("success", 1);
}

$priority 		= zero::GetPriority($priority_id, $lg);
$priority_en 	= zero::GetPriority($priority_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Ticket Priority ( {$priority['name']} [{$priority['language_str']}] )");
zero::DisplayStaff("priority_lang_edit.tpl");

function ShowData() {
	global $smarty_tpl, $priority_id, $priority, $priority_en, $lg;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$priority['name'] = htmlentities($priority['name']);
	$priority['description'] = htmlentities($priority['description']);
	$smarty_tpl->assign("priority", $priority);
	$smarty_tpl->assign("priority_en", $priority_en);
	$smarty_tpl->assign("lg", $lg);
	$smarty_tpl->assign("priority_id", $priority_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description, $priority_id, $lg;

	$priority = zero::GetPriority($priority_id, $lg);
	$priority_en = zero::GetPriority($priority_id);
	$priority['name'] = htmlentities($name);
	$priority['description'] = htmlentities($description);
	$smarty_tpl->assign("priority", $priority);
	$smarty_tpl->assign("priority_en", $priority_en);
	$smarty_tpl->assign("lg", $lg);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("priority_id", $priority_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit Ticket Priority ( {$priority['name']} [{$priority['language_str']}] )");
	zero::DisplayStaff("priority_lang_edit.tpl");
	exit;
}

?>
