<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Statistic Article
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Statistic Article");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Statistic - Articles");
$request = $_SERVER[QUERY_STRING];
$articles_info = zero::GetArticlesInfo();

$num_articles = zero::GetStatArticlesNum();
if (!isset($offset) || $offset < 0 || $offset >= $num_articles)
  $offset = 0;
$limit = $setting['statistic_num'];
$articles = zero::GetStatArticles($offset, $limit);
$pagination	= zero::GetPagination("stat_article.php", $request, $num_articles, $offset, $limit);
if (count($articles))
	if ($num_articles / count($articles) > 1)
		$smarty_tpl->assign("pagination", $pagination);
if ($stat == "popular")
	usort($articles, "SortPopular");
elseif ($stat == "rate")
	usort($articles, "SortRate");
else
  usort($articles, "SortPopular");
$smarty_tpl->assign("articles", $articles);
$smarty_tpl->assign("articles_info", $articles_info);
$smarty_tpl->assign("total_articles", $num_articles);
$smarty_tpl->assign("stat", $stat?$stat:"popular");
$smarty_tpl->assign("page_sub_title", "- Article's Statistic");
zero::DisplayStaff("stat_article.tpl");

function SortPopular($a, $b) {
	if ($b["views"] == $a["views"])
	  return $a["rating_avg"] < $b["rating_avg"];
  return $b["views"] < $a["views"] ? -1:1;
}

function SortRate($a, $b) {
	if ($b["rating_avg"] == $a["rating_avg"])
	  return $a["responses"] < $b["responses"];
  return $b["rating_avg"] < $a["rating_avg"] ? -1:1;
}

?>
