<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Statistic User
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Statistic User");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Statistic - Users");
$request = $_SERVER[QUERY_STRING];
$users_info = zero::GetUsersInfo();

$num_users = zero::GetStatActiveUsersNum();
if (!isset($offset) || $offset < 0 || $offset >= $num_users)
  $offset = 0;
$limit = $setting['statistic_num'];
$users = zero::GetStatActiveUsers($offset, $limit);
$pagination	= zero::GetPagination("stat_user.php", $request, $num_users, $offset, $limit);
if (count($users))
	if ($num_users / count($users) > 1)
		$smarty_tpl->assign("pagination", $pagination);
usort($users, "SortTotalTickets");
$smarty_tpl->assign("users", $users);
$smarty_tpl->assign("users_info", $users_info);
$smarty_tpl->assign("total_users", $num_users);
$smarty_tpl->assign("page_sub_title", "- User's Statistic");
zero::DisplayStaff("stat_user.tpl");

function SortTotalTickets($a, $b) {
	if ($b["num_tickets"] == $a["num_tickets"])
	  return $a["num_replies"] < $b["num_replies"];
  return $b["num_tickets"] < $a["num_tickets"] ? -1:1;
}

?>
