<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse tickets
// |-------------------------------------------------------------|
require_once("init.php");
require_once("lang/{$cur_lg_folder}/user_tickets.php");

if (!zero::IsUserLoggedIn())
	zero::Redirect("ticket_detail.php");
zero::StartSession("Ticket Detail User");
$smarty_tpl->assign("main_page","user_tickets");

$search_words = addslashes($search_words);

$department_options = zero::GetDepartmentOptions();
$department_options[0] = " ";
ksort ($department_options);
$smarty_tpl->assign("department_options", $department_options);
$priority_options = zero::GetPriorityOptions();
$priority_options[0] = " ";
ksort ($priority_options);
$smarty_tpl->assign("priority_options", $priority_options);

if ($pf == "filter_open") {
	$search_words = trim($search);
	if ($department != 0)
	  $department_id = trim($department);
	if ($priority != 0)
	  $priority_id = trim($priority);
}
elseif ($pf == "filter_close") {
	$search_words_c = trim($search_c);
	if ($department_c != 0)
	  $department_id_c = trim($department_c);
	if ($priority_c != 0)
	  $priority_id_c = trim($priority_c);
	$smarty_tpl->assign("closed_block_show", 1);
}
elseif ($pf == "open") {
	zero::OpenTicket($ticket_ref);
	$smarty_tpl->assign("closed_block_show", 1);
}
elseif ($pf == "close") {
	zero::CloseTicket($ticket_ref);
	$smarty_tpl->assign("closed_block_show", 1);
}

if ($browse_c)
	$smarty_tpl->assign("closed_block_show", 1);

$request = $_SERVER[QUERY_STRING];

$opened_tickets_all = zero::GetTickets($search_words, $department_id, $priority_id, "open");
$num_opened_ticket_all = count($opened_tickets_all);
if (!isset($offset) || $offset < 0 || $offset >= $num_opened_ticket_all )
  $offset = 0;
$opened_tickets 	= zero::GetTickets($search_words, $department_id, $priority_id, "open", $offset, 10);
$pagination_open 	= zero::GetPagination("user_tickets.php", $request, $num_opened_ticket_all, $offset, 10);
$smarty_tpl->assign("opened_tickets",$opened_tickets);
if (count($opened_tickets))
	if ($num_opened_ticket_all / count($opened_tickets) > 1)
		$smarty_tpl->assign("pagination_open",$pagination_open);

$closed_tickets_all = zero::GetTickets($search_words_c, $department_id_c, $priority_id_c, "close");
$num_closed_ticket_all = count($closed_tickets_all);
if (!isset($offset_c) || $offset_c < 0 || $offset_c >= $num_closed_ticket_all)
  $offset_c = 0;
$closed_tickets 		= zero::GetTickets($search_words_c, $department_id_c, $priority_id_c, "close", $offset_c, 10);
$pagination_close 	= zero::GetPaginationClosed("user_tickets.php", $request, $num_closed_ticket_all, $offset_c, 10);
$smarty_tpl->assign("closed_tickets",$closed_tickets);
if (count($closed_tickets))
	if ($num_closed_ticket_all / count($closed_tickets) > 1)
		$smarty_tpl->assign("pagination_close",$pagination_close);

$smarty_tpl->assign("search", htmlentities($search));
$smarty_tpl->assign("search_c", htmlentities($search_c));
$smarty_tpl->assign("department_id", $department);
$smarty_tpl->assign("department_id_c", $department_c);
$smarty_tpl->assign("priority_id", $priority);
$smarty_tpl->assign("priority_id_c", $priority_c);

zero::DisplayFront("user_tickets.tpl");
?>
