<script language="javascript" type="text/javascript" src="../js/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">
{literal}
	tinyMCE.init({
		mode : "specific_textareas",
		textarea_trigger : "convert_this",
		theme : "advanced",
		relative_urls : false,
		theme_advanced_buttons1 : "bold,italic,underline,separator,strikethrough,link,unlink,separator,forecolor,backcolor,image,charmap,fontsizeselect",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		force_br_newlines : true,
		force_p_newlines : false,
		theme_advanced_toolbar_location : "top",
		theme_advanced_toolbar_align : "left",
		extended_valid_elements : "a[name|href|target|title|onclick],img[class|src|border=0|alt|title|hspace|vspace|width|height|align|onmouseover|onmouseout|name],hr[class|width|size|noshade],font[face|size|color|style],span[class|align|style]"
	});
{/literal}
</script>
<table width="600px" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			{if $success}
			<table width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<table width="100%" cellpadding="3" cellspacing="0" class="success">
						<tr><td><b>Your setting has been successfully updated</b></td></tr>
					</table>
				</td>
			</tr>
			</table>					
			<br/>
			{/if}
			{if $errors}
			<table width="100%" cellpadding="0" cellspacing="0">
			<tr>
				<td>
					<table width="100%" cellpadding="3" cellspacing="0" class="error">
						<tr><td><b>Errors have been occured</b></td></tr>
						<tr>
							<td>
									{section name=i loop=$errors}
									&#8226; {$errors[i]}<br/>
									{/section}
							</td>
						</tr>
					</table>
				</td>
			</tr>
			</table>
			<br/>
			{/if}
			<table width="100%" cellpadding="0" cellspacing="0">
				<tr>
					<td style="padding-bottom:2px;padding-top:2px">
						<table width="100%" cellpadding="2" style="background-color:#EEEEEE;border:1px solid #666666">
							{if $staff.is_admin}
							<tr>
								<td colspan="2">You are assigned in Administrator Group.</td>
							</tr>
							<tr>
								<td colspan="2">You have most privilege.</td>
							</tr>
							{else}
							<tr>
								<td colspan="2">Below are your privileges :</td>
							</tr>
							<tr>
								<td width="100px" valign="top">Departments</td>
								<td>
									<table width="100%" cellpadding="0" cellspacing="0">
										<tr><td valign="top" width="7px">: </td><td>{$staff.departments}</td></tr>
									</table>
								</td>
							</tr>
							<tr>
								<td valign="top">Permissions</td>
								<td>
									<table width="100%" cellpadding="0" cellspacing="0">
										<tr><td valign="top" width="7px">: </td><td>{$staff.permissions}</td></tr>
									</table>
								</td>
							</tr>
							{/if}
						</table>
					</td>
				</tr>
			</table>			
			<table width="100%" cellpadding="0" cellspacing="0">
			<form name="primary_form" action="staff_setting.php" method="post" enctype="multipart/form-data">
			<input type="hidden" name="pf" value="update_prim">
				<tr>
					<td style="padding-top:2px">
						<table width="100%" cellpadding="3" cellspacing="0" style="background-color:#C8D5C6;border:1px solid #666666">
							<tr>
							  <td height="20px" style="padding-left:5px"><b>Primary Profile</b></td>
								<td height="20px" align="right" style="padding-left:5px"><a href="staff_setting.php" style="text-decoration:underline">refresh</a></td>
							</tr>
						</table>
						<table width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td style="padding-top:2px">
									<table width="100%" cellpadding="3" style="background-color:#F0FFED;border:1px solid #666666">
										<tr>
											<td width="120px">Name <font color="#CC3300">*</font></td>
											<td><input type="text" name="name" size="30" value="{$staff.name}"></td>
										</tr>
										<tr>
											<td width="120px">Email <font color="#CC3300">*</font></td>
											<td><input type="text" name="email" size="30" value="{$staff.email}"></td>
										</tr>
										<tr>
											<td colspan="2"><div style="font-size:10px;padding-top:10px">- leave blank for no change -</div></td>
										</tr>
										<tr>
											<td width="120px">Old password</td>
											<td><input type="password" name="old_password" size="30" value="{$old_password}">&nbsp;</td>
										</tr>
										<tr>
											<td width="120px">New password&nbsp;</td>
											<td><input type="password" name="new_password" size="30" value="{$new_password}"></td>
										</tr>
										<tr>
											<td width="120px">Confirm password&nbsp;</td>
											<td><input type="password" name="confirm_password" size="30" value="{$confirm_password}"></td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td style="padding-top:5px"><input type="submit" value="&nbsp;Update&nbsp;"></td>
							</tr>	
						</table>
					</td>
				</tr>
				</form>
			</table>
			<table width="100%" cellpadding="0" cellspacing="0">
			<form name="misc_form" action="staff_setting.php" method="post" enctype="multipart/form-data">
			<input type="hidden" name="pf" value="update_misc">
				<tr>
					<td style="padding-top:10px">
						<table width="100%" cellpadding="3" cellspacing="0" style="background-color:#C8D5C6;border:1px solid #666666">
							<tr>
							  <td height="20px" style="padding-left:5px"><b>Miscellaneous</b></td>
							</tr>
						</table>
						<table width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td style="padding-top:2px">
									<table width="100%" cellpadding="2" style="background-color:#F0FFED;border:1px solid #666666">
										<tr>
											<td width="140px">Time Zone</td>
											<td><select name="time_zone" style="width:400px">{html_options options=$time_zone_options selected=$staff.time_zone}</select></td>
										</tr>
										<tr>
											<td valign="top">Signature</td>
											<td><textarea name="signature" rows="8" cols="70" convert_this="true">{$staff.signature}</textarea></td>
										</tr>
										<tr>
											<td>Last recent info</td>
											<td><input type="text" name="recent_hours_front" size="3" maxlength="3" value="{$staff.front_info_staff_hours}" style="text-align:right"> hours</td>
										</tr>
										<tr>
											<td>Number of last active tickets</td>
											<td><input type="text" name="ticket_num_front" size="3" maxlength="3" value="{$staff.front_info_tickets_num}" style="text-align:right"></td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td><input type="checkbox" name="notify_ticket_new" value="1" {if $staff.is_notify_ticket_new}checked{/if}> Notify me when tickets submitted</td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td><input type="checkbox" name="notify_ticket_reply" value="1" {if $staff.is_notify_ticket_reply}checked{/if}> Notify me when tickets replied</td>
										</tr>
										<tr>
											<td>&nbsp;</td>
											<td><input type="checkbox" name="notify_user_registered" value="1" {if $staff.is_notify_user_registered}checked{/if}> Notify me when user registered</td>
										</tr>
									</table>
								</td>
							</tr>
						</table>
						<table width="100%" cellpadding="0" cellspacing="0">
							<tr>
								<td style="padding-top:5px"><input type="submit" value="&nbsp;Update&nbsp;"></td>
							</tr>	
						</table>
					</td>
				</tr>
				</form>
			</table>
		</td>
	</tr>
</table>