<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit language email template
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Edit Language Email Template");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 2);
$smarty_tpl->assign("subframe_title", "Email Template - edit email template");

if (!zero::IsEmailTemplateExist($email_template_id))
	zero::Redirect("email_template_browse.php");
if ($lg==1)
	zero::Redirect("email_template_edit.php?email_template_id={$email_template_id}");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("body", $lang['a_empty_template']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateEmailTemplate($email_template_id, $lg, $subject, $body);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "restore") {
  zero::RestoreEmailTemplate($email_template_id, $lg);
}
elseif ($pf == "replace") {
  zero::ReplaceEmailTemplateBackup($email_template_id, $lg, $subject, $body);
	if (zero::IsError())
	  EndScript();
	$smarty_tpl->assign("success", 2);
}

$email_template 		= zero::GetEmailTemplate($email_template_id, $lg);
$email_template_en 	= zero::GetEmailTemplate($email_template_id, 1);
$email_template_en['body'] = nl2br($email_template_en['body']);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit Email Template ( {$email_template['name']} [{$email_template['language_str']}] )");
zero::DisplayStaff("email_template_lang_edit.tpl");

function ShowData() {
	global $smarty_tpl, $email_template_id, $email_template, $email_template_en, $lg;

  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("email_template", $email_template);
	$smarty_tpl->assign("email_template_en", $email_template_en);
	$smarty_tpl->assign("lg", $lg);
	$smarty_tpl->assign("email_template_id", $email_template_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $body, $email_template_id, $lg;

	$email_template = zero::GetEmailTemplate($email_template_id, $lg);
	$email_template_en = zero::GetEmailTemplate($email_template_id);
	$email_template['subject'] = htmlentities($subject);
	$email_template['body'] = htmlentities($body);
	$smarty_tpl->assign("email_template", $email_template);
	$smarty_tpl->assign("email_template_en", $email_template_en);
	$smarty_tpl->assign("lg", $lg);
  $smarty_tpl->assign("language_options", zero::GetLanguageOptions($lg));
	$smarty_tpl->assign("email_template_id", $email_template_id);
	$smarty_tpl->assign("errors", $errors);
  $smarty_tpl->assign("page_sub_title", "- Edit Email Template ( {$email_template['name']} [{$email_template['language_str']}] )");
	zero::DisplayStaff("email_template_lang_edit.tpl");
	exit;
}

?>
