<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add article
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add Article");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Knowledgebase - add article");

$smarty_tpl->assign("category_options", zero::GetCategoryOptions());
$smarty_tpl->assign("ori_source", zero::GetArticlePaths());

if ($pf == "add") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("problem", $lang['a_empty_problem']);
	zero::IsEmpty("solution", $lang['a_empty_solution']);
	if (zero::IsError())
	  EndScript();
	$knowledge_ref = zero::AddArticle($category, $subject, $problem, $solution, $hidden_words, $hidden_relateds, $is_disabled);
	zero::Redirect("knowledgebase_article_add.php?knowledge_ref={$knowledge_ref}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($knowledge_ref);

$smarty_tpl->assign("page_sub_title", "- Add Article");
zero::DisplayStaff("knowledgebase_article_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $problem, $solution, $hidden_words, $is_disabled;
	global $hidden_relateds, $hidden_words, $knowledge_ref;

	$smarty_tpl->assign("subject", htmlentities($subject));
	$smarty_tpl->assign("problem", htmlentities($problem));
	$smarty_tpl->assign("solution", htmlentities($solution));
	$smarty_tpl->assign("is_disabled", $is_disabled);
	$smarty_tpl->assign("hidden_words", $hidden_words);
	$smarty_tpl->assign("errors", $errors);
	zero::DisplayStaff("knowledgebase_article_add.tpl");
	exit;
}

function GetConfirmation($knowledge_ref) {
	global $smarty_tpl;

	$smarty_tpl->assign("subframe", 1);
	$smarty_tpl->assign("subframe_title", "Knowledgebase - article has been created");

	$knowledge = zero::GetArticle($knowledge_ref);
	if (!$knowledge)
		zero::Redirect("knowledgebase_article_add.php");
	if (time() - $knowledge['date_created'] > 300)
	  zero::Redirect("knowledgebase_article_add.php");
	$smarty_tpl->assign("knowledge", $knowledge);
	$smarty_tpl->assign("confirmation", "article_created");
  $smarty_tpl->assign("page_sub_title", "- Add Article");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
