<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Add category
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Add Article Category");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Knowledgebase - add article's category");

$smarty_tpl->assign("parent_options", zero::GetCategoryOptions());

if ($pf == "add") {
	zero::IsEmpty("name", $lang['a_empty_name']);
	if (zero::IsError())
	  EndScript();
	$cat_id = zero::AddArticleCategory($name, $description, $parent);
	zero::Redirect("knowledgebase_category_add.php?cat_id={$cat_id}&pf=confirm");
}
elseif ($pf == "confirm")
  GetConfirmation($cat_id);

$smarty_tpl->assign("page_sub_title", "- Add Article's Category");
zero::DisplayStaff("knowledgebase_category_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $name, $description;

	$smarty_tpl->assign("name", htmlentities($name));
	$smarty_tpl->assign("description", htmlentities($description));
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Add Article's Category");
	zero::DisplayStaff("knowledgebase_category_add.tpl");
	exit;
}

function GetConfirmation($cat_id) {
	global $smarty_tpl;

	$smarty_tpl->assign("subframe", 1);
	$smarty_tpl->assign("subframe_title", "Knowledgebase - category has been created");

	$category = zero::GetArticleCategory($cat_id);
	if (!$category)
		zero::Redirect("knowledgebase_category_add.php");
	if (time() - $category['date_created'] > 300)
	  zero::Redirect("knowledgebase_category_add.php");
	$smarty_tpl->assign("category", $category);
	$smarty_tpl->assign("confirmation", "category_created");
	zero::DisplayStaff("confirmation.tpl");
	exit;
}

?>
