<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Browse messages
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Browse Message");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Private Message - browse messages");

if ($pf == "delete") {
	zero::DeleteMessage($message_id);
}
elseif ($pf == "toggle") {
  if (isset($message_id)) {
		zero::ToggleDisabledMessage($message_id);
  }
}

if (!is_numeric($limit) || empty($limit))
	$limit = 20;

$request = $_SERVER[QUERY_STRING];
$num_messages = count(zero::GetMessages($search_words, $order1, $order2));
if (!isset($offset) || $offset < 0 || $offset >= $num_messages )
  $offset = 0;
$messages = zero::GetMessages($search_words, $order1, $order2, $offset, $limit);

$smarty_tpl->assign("messages", $messages);
$pagination	= zero::GetPagination("message_browse.php", $request, $num_messages, $offset, $limit);
if (count($messages))
	if ($num_messages / count($messages) > 1)
		$smarty_tpl->assign("pagination", $pagination);
$smarty_tpl->assign("search_words", $search_words);
$order1_options = array(0=>"&nbsp;",
												"date_created"=>"Date sent",
												"staff_name"=>"Sender",
												"subject"=>"Subject"
												);
$order2_options = array ("asc"=>"Ascending", "desc"=>"Descending");
$smarty_tpl->assign("order1_options", $order1_options);
$smarty_tpl->assign("order1", $order1?$order1:0);
$smarty_tpl->assign("order2_options", $order2_options);
$smarty_tpl->assign("order2", $order2);
$smarty_tpl->assign("limit", $limit);
$smarty_tpl->assign("offset", $offset);

$smarty_tpl->assign("page_sub_title", "- Browse Private Messages");
zero::DisplayStaff("message_browse.tpl");
?>
