<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Edit news
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}

zero::StartSession("Edit News");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "News - edit news");

if (!zero::IsNewsExist($news_id))
	zero::Redirect("news_browse.php");

if ($pf == "update") {
	zero::IsEmpty("subject", $lang['a_empty_subject']);
	zero::IsEmpty("description", $lang['a_empty_description']);
	if (zero::IsError())
	  EndScript();
	zero::UpdateNews($news_id, $subject, $description, $is_disabled);
	$smarty_tpl->assign("success", 1);
}
elseif ($pf == "renew") {
	zero::RenewNews($news_id);
	zero::Redirect("news_edit.php?news_id={$news_id}");
}
elseif ($pf == "delete") {
	zero::DeleteNews($news_id);
	zero::Redirect("news_browse.php");
}
$new = zero::GetNew($news_id);
ShowData();
$smarty_tpl->assign("page_sub_title", "- Edit News ( {$new['subject']} )");
zero::DisplayStaff("news_edit.tpl");

function ShowData() {
	global $smarty_tpl, $news_id, $new;

  $smarty_tpl->assign("news_langs", zero::GetNewsOtherLang($news_id));
	$new['subject'] = htmlentities($new['subject']);
	$smarty_tpl->assign("new", $new);
	$smarty_tpl->assign("news_id", $news_id);
}

function EndScript() {
	global $smarty_tpl, $errors;
	global $subject, $description, $news_id;

	$new = zero::GetNew($news_id);
	$new['subject'] = htmlentities($subject);
	$new['description'] = htmlentities($description);
	$smarty_tpl->assign("new", $new);
  $smarty_tpl->assign("news_langs", zero::GetNewsOtherLang($news_id));
	$smarty_tpl->assign("news_id", $news_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Edit News ( {$new['subject']} )");
	zero::DisplayStaff("news_edit.tpl");
	exit;
}

?>
