<?php
// |-------------------------------------------------------------|
// | Green Desktiny
// | Copyright (C) 2006
// |-------------------------------------------------------------|
// | File Details:
// | - Ticket Custom Field Edit
// |-------------------------------------------------------------|
require_once("init.php");
if (!zero::IsStaffLoggedIn()) {
	zero::Redirect("index.php");
	exit;
}
if (!zero::IsStaffAdmin()) {
	echo "Page cannot be access. Only admin.<br/><a href=\"index.php\">Home</a>";
	exit;
}

zero::StartSession("Ticket Custom Field Add");
$staff_id = $_COOKIE['DESKTINY_STAFF_ID'];
$smarty_tpl->assign("subframe", 1);
$smarty_tpl->assign("subframe_title", "Ticket Custom Field - Add");

if ($pf == "add") {
	foreach ($names as $val) {
	  if (empty($val)) {
	    $errors[] = "All Field Name required";
	    break;
	  }
	}
	if ($form_type == "input") {
	  if (!$length || !is_numeric($length))
	    $length = 30;
		$height = 0;
	}
	elseif ($form_type == "textarea") {
	  if (!$length || !is_numeric($length))
	    $length = 50;
	  if (!$height || !is_numeric($height))
	    $height = 10;
	}
	if (!is_numeric($max_length))
		$max_length = 0;

	if (zero::IsError())
	  EndScript();

	zero::AddCustomField("ticket",$names,$form_type,$length,$height,$max_length,$is_required,$is_disabled);
	zero::Redirect("custom_field_browse.php");
}

$field = array();
$name_arr = array();
$languages = zero::GetLanguages();
$i=0;
foreach ($languages as $val) {
	$name_arr[$i]['language_id'] = $val['language_id'];
	$name_arr[$i]['language_name'] = $val['name'];
	$i++;
}
$field['form_type'] = "input";
$field['length'] = 30;
$field['height'] = 0;
$field['max_length'] = 0;
$field['is_required'] = 0;
$field['is_disabled'] = 0;
$field['names'] = $name_arr;
$smarty_tpl->assign("field", $field);
$smarty_tpl->assign("page_sub_title", "- Add Ticket Custom Field");
zero::DisplayStaff("ticket_custom_field_add.tpl");

function EndScript() {
	global $smarty_tpl, $errors;
	global $field_id,$names,$form_type,$length,$height,$max_length,$is_required,$is_disabled;

	$field = array();
	$name_arr = array();
	$languages = zero::GetLanguages();
	$i=0;
	foreach ($languages as $val) {
		$name_arr[$i]['language_id'] = $val['language_id'];
		$name_arr[$i]['language_name'] = $val['name'];
		$name_arr[$i]['value'] = htmlentities($names[$val['language_id']]);
		$i++;
	}
	$field['form_type'] = $form_type;
	$field['length'] = $length;
	$field['height'] = $height;
	$field['max_length'] = $max_length;
	$field['is_required'] = $is_required;
	$field['is_disabled'] = $is_disabled;
	$field['names'] = $name_arr;
	$smarty_tpl->assign("field", $field);
	$smarty_tpl->assign("field_id", $field_id);
	$smarty_tpl->assign("errors", $errors);
	$smarty_tpl->assign("page_sub_title", "- Add Ticket Custom Field");
	zero::DisplayStaff("ticket_custom_field_add.tpl");
	exit;
}

?>
